vsf_quorum.c File Reference
`#include <config.h>`
`#include <pwd.h>`
`#include <grp.h>`
`#include <sys/types.h>`
`#include <sys/poll.h>`
`#include <sys/uio.h>`
`#include <sys/mman.h>`
`#include <sys/socket.h>`
`#include <sys/un.h>`
`#include <sys/time.h>`
`#include <sys/resource.h>`
`#include <netinet/in.h>`
`#include <arpa/inet.h>`
`#include <unistd.h>`
`#include <fcntl.h>`
`#include <stdlib.h>`
`#include <stdio.h>`
`#include <errno.h>`
`#include <sched.h>`
`#include <time.h>`
`#include "quorum.h"`
`#include <corosync/corotypes.h>`
`#include <qb/qbipc_common.h>`
`#include <corosync/corodefs.h>`
`#include <corosync/swab.h>`
`#include <qb/qblist.h>`
`#include <corosync/mar_gen.h>`
`#include <corosync/ipc_quorum.h>`
`#include <corosync/coroapi.h>`
`#include <corosync/logsys.h>`
`#include <corosync/icmap.h>`
`#include "service.h"`
`#include "votequorum.h"`
`#include "vsf_ykd.h"`
Include dependency graph for vsf_quorum.c:

Go to the source code of this file.

## Data Structures

struct | quorum_pd
struct | internal_callback_pd

## Functions

| LOGSYS_DECLARE_SUBSYS ("QUORUM")
struct corosync_service_engine * | vsf_quorum_get_service_engine_ver0 (void)

## Variables

struct quorum_services_api_ver1 * | quorum_iface = NULL

## Function Documentation

## LOGSYS_DECLARE_SUBSYS()

LOGSYS_DECLARE_SUBSYS | ( | "QUORUM" |  | ) |

## vsf_quorum_get_service_engine_ver0()

struct corosync_service_engine* vsf_quorum_get_service_engine_ver0 | ( | void |  | ) |

Definition at line 236 of file vsf_quorum.c.

## Variable Documentation

## quorum_iface

struct quorum_services_api_ver1* quorum_iface = NULL

Definition at line 128 of file vsf_quorum.c.